Skip to content
Documentation
Explore guides

For administrators

Skills

List, create, show, update, and delete skills in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all skills

GET /api/v3/skills

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "skill name",
    "description": "skill description",
    "skill_category_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "skill_category_name": "skill category name",
    "send_notification": true,
    "notification_period": "notification_months",
    "notification_offset": 6,
    "expiration_period": "expired_in_years",
    "expiration_offset": 3,
    "expires": true
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "skill name2",
    "description": "skill description",
    "skill_category_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "skill_category_name": "skill category name",
    "send_notification": false,
    "notification_period": null,
    "notification_offset": null,
    "expiration_period": null,
    "expiration_offset": null,
    "expires": false
  }
]

Create a skill

POST /api/v3/skills

Request

{
  "skill_category_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "name": "skill new name",
  "description": "skill new description",
  "expires": false,
  "send_notification": true,
  "expiration_period": "expired_in_weeks",
  "notification_period": "notification_days",
  "expiration_offset": 2,
  "notification_offset": 5
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "skill new name",
  "description": "skill description",
  "skill_category_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "skill_category_name": "skill category name",
  "send_notification": true,
  "notification_period": "notification_days",
  "notification_offset": 5,
  "expiration_period": "expired_in_weeks",
  "expiration_offset": 2,
  "expires": true
}

Show a skill

GET /api/v3/skills/{skill_id}

Parameter Type Description
skill_id string (UUID) Skill id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "skill name",
  "description": "skill description",
  "skill_category_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "skill_category_name": "skill category name",
  "send_notification": true,
  "notification_period": "notification_months",
  "notification_offset": 6,
  "expiration_period": "expired_in_years",
  "expiration_offset": 3,
  "expires": true
}

Update a skill

PUT /api/v3/skills/{skill_id}

Request

{
  "name": "skill updated name",
  "description": "skill updated description",
  "expires": false,
  "send_notification": false,
  "expiration_period": "expired_in_years",
  "notification_period": "notification_years",
  "expiration_offset": 1,
  "notification_offset": 4
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "skill updated name",
  "description": "skill description",
  "skill_category_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "skill_category_name": "skill category name",
  "send_notification": false,
  "notification_period": "notification_years",
  "notification_offset": 4,
  "expiration_period": "expired_in_years",
  "expiration_offset": 1,
  "expires": false
}

Delete a skill

DELETE /api/v3/skills/{skill_id}

Response 200

{}